#!/bin/sh

COUNTER=0
num=5

#insert module for mtd
echo "Refresh Module for SPI Flash"
sleep 0.1
echo "spi1.0" > /sys/module/spi_nor/parameters/rescan 
sleep 0.1
num=`cat /proc/mtd |grep "Aspen" | sed 's/:.*//' | sed "s/[^0-9]//g" | sed "s/[^0-9]//g"`

while [  ! -e /dev/mtd$num ] && [ $COUNTER -lt 10 ]; do
        echo The counter is $COUNTER
        #ls -la /dev/mtd*
        sleep 1
        let COUNTER=COUNTER+1
done

if [ -e /dev/mtd$num ]
then
	cat /proc/mtd
	echo "Erasing Flash `cat  /sys/module/it_fpga/parameters/cpu_to_spiFlash_connect` ... "
	#mtd_debug erase /dev/mtd$num 0 33554432
	flash_erase /dev/mtd$num 0 0
	echo "spi1.0" > /sys/module/spi_nor/parameters/remove
	echo "DONE"
else
	echo "#### ERROR - Erasing not started ####"
fi




