#!/bin/sh

#########################
# The command line help #
#########################
display_help() {
	echo "Usage: $0 <Aspen number 1-2>" >&2
	echo
	exit 1
}

case $1 in
    1 | 2)
	# Set Reset signal for Maple $1
	echo "Set Reset signal for Aspen $1"
	./.Maple$1_reset.sh
	sleep 0.1
	./.display_fpga_Maple_status.sh
	sleep 0.1
    ;;
    *)
	display_help
    ;;
esac



